EdgeXover(3)

NAME
EdgeXover - Edge Crossover.

SYNOPSIS

#include <edge_xover.h>

  Public Member Functions
bool operator() (Route &__route1, Route &__route2)

  Private Member Functions
void cross (const Route &__par1, const Route &__par2, Route &__child)
void remove_entry (unsigned __vertex, std::vector< std::set< unsigned > > &__map)
void build_map (const Route &__par1, const Route &__par2)
void add_vertex (unsigned __vertex, Route &__child)

  Private Attributes
std::vector< std::set< unsigned > > _map
std::vector< bool > visited

Detailed Description

Edge Crossover.

Definition at line 20 of file edge_xover.h.

Author

Generated automatically by Doxygen for ParadisEO-PEO - Lessons from the source code.